#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QDockWidget>
#include <QToolBar>

#include "player/Player.h"
#include "micelanea/Dock/Dock.h"
#include "toolbar/ToolBar.h"
#include "tab/Tab.h"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private:
    Ui::MainWindow *ui;

    Player *player1;
    Player *player2;
    Player *playermonitor;

    Tab * tab;

    Dock *Dock1;
    Dock *Dock2;
    Dock *DockMonitor;

    QToolBar *toolbar;
    ToolBar *frmtoolbar;


protected:
    void resizeEvent( QResizeEvent *event) ;



private slots:

   void ClickSetting();
   void ClickAbout();






};

#endif // MAINWINDOW_H
